🔏Ethereum Signature Validator API

Authenticates SDK users from their EOAs

Features

  • Provide HTTP API endpoint

  • Return the result of validation with error message

How to use API

  • Call HTTP API endpoint with arguments set in request body

Authenticates SDK users from their EOAs

PUT https://asia-northeast1-startrail-api-prod.cloudfunctions.net/ethereum-signature-validator

This module recovers Ethereum address (EOA) from message and signature, and validates that the recovered address is equal to the signer's address.

Request Body

Name
Type
Description

message*

String

raw message that signature is generated from (it does not have to be hashing)

signature*

String

0x prefixed signature that is generated by secp256k1 algorithm such as eth_sign function

address*

String

Ethreum Address(EOA) of the signer(Both lowercase and mixed case which is compatible with EIP55 are accepted)

signMethod

String

eth_signor personal_sign

A specific sign method with which signature is generated. If not specified, both eth_sign and personal_sign method is used to validate EOA

// Validation Success
{ isValid: true, invalidReason: null, triedSignMethods: ['eth_sign'] }

// Validation Failure
{ isValid: false, invalidReason: 'Signature is invalid', triedSignMethods: ['eth_sign', 'personal_sign'] }

Sample Request command

Last updated

Was this helpful?